Bug 291461 - use of non-integer aliases causes system-config-network to dump a stack trace
use of non-integer aliases causes system-config-network to dump a stack trace
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-network (Show other bugs)
5.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-14 14:59 EDT by Hacksaw
Modified: 2009-01-20 16:54 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* system-config-network is not capable of handling non-numerical aliases for network interfaces. Previously, if a user set one of these aliases to a non-numerical value, system-config-network would crash. This updated package shows the warning message instead of crashing.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:54:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hacksaw 2007-09-14 14:59:11 EDT
Description of problem:
One of my developers changed the name of the alias he set up on his main
interface to something descriptive, calling it eth0:robot.

When I brought up system-config-network, it immediately crashed, complaining
about line 196 of /usr/share/system-config-network/netconfpkg/NCDevice.py.

If you look at this line, it tries to coerce the alias part of the interface
name into an int.

This is a problem if you have used a more descriptive name, like one that isn't
an int.

Version-Release number of selected component (if applicable):

1.3.99

How reproducible:
Create an ifcfg-eth0:robot file in /etc/sysconfig/networking-scripts.

Restart network. Note that the interface is created just fine. 
Bring up system-config.network, it will stack dump.
Comment 1 Fabio Olive Leite 2007-11-12 15:38:49 EST
Reassigning to component owner.
Comment 3 RHEL Product and Program Management 2008-06-02 16:31:51 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Phil Knirsch 2008-06-13 08:45:12 EDT
This bug needs a review from the component owner before granting Devel ACK.

Thanks,

Read ya, Phil
Comment 5 Phil Knirsch 2008-06-19 11:24:34 EDT
Granting Devel ACK after review of the package maintainer

Thanks,

Read ya, Phil
Comment 10 Ruediger Landmann 2009-01-08 17:40:59 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* system-config-network is not capable of handling non-numerical aliases for network interfaces. Previously, if a user set one of these aliases to a non-numerical value, system-config-network would crash. This updated package shows the warning message instead of crashing.
Comment 11 errata-xmlrpc 2009-01-20 16:54:12 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0193.html

Note You need to log in before you can comment on or make changes to this bug.